Arduino

Reference Language | Libraries | Comparison | Changes

Mouse

## Mouse.click()

#### Description

Sends a momentary click to the computer at the location of the cursor. This is the same as pressing and immediately releasing the mouse button.

Mouse.click() defaults to the left mouse button.

WARNING: When you use the Mouse.click() command, the Arduino takes over your mouse! Make sure you have control before you use the command. A pushbutton to toggle the mouse control state is effective.

#### Syntax

Mouse.click();
Mouse.click(button);

#### Parameters

button: which mouse button to press - char

- MOUSE_LEFT (default)
- MOUSE_RIGHT
- MOUSE_MIDDLE

#### Returns

nothing

#### Example

void setup(){
pinMode(2,INPUT);
//initiate the Mouse library
Mouse.begin();
}
void loop(){
//if the button is pressed, send a Right mouse click
if(digitalRead(2) == HIGH){
Mouse.click();
}
}
[Get Code]

#### See also

- Mouse.begin()
- Mouse.end()
- Mouse.move()
- Mouse.press()
- Mouse.release()
- Mouse.isPressed()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes